Return all of the tags for an organization.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Tags under the Setup & Administration category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/tags \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "342417",
"name": "California",
"parentTagId": "4815",
"addresses": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"assets": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"drivers": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"machines": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"parentTag": {
"id": "23502866574",
"name": "US West Vehicles"
},
"sensors": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"vehicles": [
{
"id": "23502866574",
"name": "Driver Don"
}
]
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The limit for how many objects will be in the response. Default and max for this value is 512 objects.
1 <= x <= 512If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
curl --request GET \
--url https://api.samsara.com/tags \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "342417",
"name": "California",
"parentTagId": "4815",
"addresses": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"assets": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"drivers": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"machines": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"parentTag": {
"id": "23502866574",
"name": "US West Vehicles"
},
"sensors": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"vehicles": [
{
"id": "23502866574",
"name": "Driver Don"
}
]
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}